Package org.opensaml.xmlsec.config

# Class DecryptionParserPool

java.lang.Object
org.opensaml.xmlsec.config.DecryptionParserPool

public class DecryptionParserPool extends Object
A wrapper bean containing an instance of `ParserPool` used with XML decryption that can be registered with the global `ConfigurationService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ParserPool`
`parserPool`
The wrapped parser pool instance.

## Constructor Summary

Constructors
Constructor
Description
`DecryptionParserPool(ParserPool pool)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ParserPool`
`getParserPool()`
Obtain the wrapped parser pool instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parserPool

@Nonnull private ParserPool parserPool
The wrapped parser pool instance.

## Constructor Details

### DecryptionParserPool

public DecryptionParserPool(@Nonnull ParserPool pool)
Constructor.

Parameters:
  `pool` - the parser pool instance

## Method Details

### getParserPool

@Nonnull public ParserPool getParserPool()
Obtain the wrapped parser pool instance.

Returns:
  the wrapped parser pool instance